package models

import (
	"go.mongodb.org/mongo-driver/bson/primitive"
	"time"
)

type Message struct {
	ID               primitive.ObjectID `bson:"_id"`
	AccountID        string             `bson:"accountID"`  // id аккаунта который что то сделал
	Email            string             `bson:"email"`      // его mail
	ServiceKey       string             `bson:"serviceKey"` // сервис с которого пришло сообщение
	SendRegistration bool               `bson:"sendRegistration"`
	SendNoneCreated  bool               `bson:"sendNoneCreated"`
	SendUnpublished  bool               `bson:"sendUnpublished"`
	SendPaid         bool               `bson:"sendPaid"`
	SendAt           time.Time          `bson:"sendAt"` // или в unix?
}
